@echo off
set dumvar=
set temp=.
echo.
echo usage: t1tidy [options] fontoriginal fontnewname
echo            e.g. t1tidy garamond garanew
echo.
echo available options:
echo    !!!!!!!   Except for +c, all options are selected by default! Options can
echo              be selected with +letter or deselected with -letter.
echo      +-
echo       s     split           Perform path splitting and subroutine extraction.
echo       e     encoding        Replace encoding vector with StandardEncoding.
echo       o     OtherSubrs      Enable removal of OtherSubrs unless they are used
echo                             in the font. This saves 5 KB of wasted storage.
echo       g     generate        Try to generate missing quote marks from others.
echo       x     expand          Reexpands existing Subrs into full character path
echo                             descriptions
echo.      c     corelfix        Apply 3 fixes for problems encountered with corelwfn
echo.      t     ttfix           Rename characters from PostScript-embedded fonts
echo                             which Windows generated from TrueType fonts
echo.      v     verbose         Tell user about every major step.
echo.
rem Options: unfortunately, the stupid MSDOS command interpreter does not
rem allow us to recognize if the first argument start with a '-', so we 
rem can only have a small number of specific option strings here.
set option=
:options
if "%1"=="-g" goto option
if "%1"=="-e" goto option
if "%1"=="-ge" goto option
if "%1"=="-eg" goto option
if "%1"=="-s" goto option
if "%1"=="+c" goto option
if "%1"=="+x" goto option
goto optok
:option
set option=%option% %1
shift
goto :options
:optok
echo options: %option%
if exist %1.ps set genps=rem
if "%2"=="" goto empty
if exist %2\nul goto dir

%genps% t1disasm %1.pfb %1.ps
tidy %option% %1.ps %2.ps
t1asm %2.ps %2.pfa
t1binary %2.pfa %2.pfb
%genps% del %1.ps
del %2.ps
del %2.pfa
goto end

:dir
%genps% t1disasm %1.pfb %1.ps
tidy %option% %1.ps %2
t1asm %2\%1.ps %2\%1.pfa
t1binary %2\%1.pfa %2\%1.pfb
%genps% del %1.ps
del %2\%1.ps
del %2\%1.pfa
goto end

:empty
echo Error: No destination font file name given

:end
